package com.tofly.ghrq_route.module.domain;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Amu on 2017/2/8.
 */

public class Message {
    int id; //message id
    String type; //message type
    String  date; //message date
    String desc; //message description
    String status; //read or unread

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public static List<Message> getFakeMessages(){
        List<Message> messages = new ArrayList<>();
        for (int i = 0; i < 10; i++){
            Message message = new Message();
            message.setId(i);
            message.setDate("2017-2-8 18:46");
            message.setType("燃气漏气");
            message.setDesc("请巡检人员到公司更新巡检手持端系统！");
            message.setStatus("unread");
            messages.add(message);
        }
        return messages;
    }
}
